from os import environ, path
from dotenv import load_dotenv

load_dotenv()
class Config:
    API  = environ.get("CAPTCHA_AGGREGATOR_API")
    
    TESTING_PERCENT = int(environ.get("TESTING_PERCENT")) or 10
    DATASET_PATH = environ.get("DATASET_PATH")
    # DOWNLOAD_PATH = path.join(DATASET_PATH, "download")
    # TESTING_PATH = path.join(DATASET_PATH, "testing")
    # TRAINING_PATH = path.join(DATASET_PATH, "training")
    
    IMAGE_HEIGHT = int(environ.get("IMAGE_HEIGHT"))
    IMAGE_WIDTH = int(environ.get("IMAGE_WIDTH"))


    BATCH_SIZE = int(environ.get("BATCH_SIZE")) or 16
    EPOCHS = int(environ.get("EPOCHS")) or 25

    ALPHABET = environ.get("ALPHABET") or "ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789"

    def __init__ (self):
        environ["KERAS_BACKEND"] = "tensorflow"

config = Config()