#!/usr/bin/env python
from PIL import Image, ImageEnhance
import os

directory = r'.'
for filename in os.listdir(directory):
    if filename.endswith(".png"):
        im = Image.open(filename)
        enhancer = ImageEnhance.Contrast(im)
        enhanced_image = enhancer.enhance(2.0)
        enhanced_image.save(filename) 
        print(os.path.join(directory, filename))